<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid">

    <div class="row">
        <div class="col-sm-6 col-xs-12">

            <h2>Мои сделки 1</h2>

            <ul class="list-group" id="deals">

            </ul>
        </div>
        <div class="col-sm-6 col-xs-12">

                <h2>Фотография объекта</h2>

                <img id="photo" src="" width="250px" height="350px" style="padding-bottom: 25px">

                <form id="upload-form" action="upload.php" method="post" enctype="multipart/form-data">
                    <input type="file" name="object-photo" accept="image/*;"  capture="camera">
                    <input type="submit" class="btn btn-info" style="margin-top: 25px" value="Сохранить">
                    <input type="hidden" id="b24-domain" name="b24-domain" value="">
                    <input type="hidden" id="b24-code" name="b24-code" value="">
                    <input type="hidden" id="b24-deal" name="b24-deal" value="">
                </form>
                <div id="file-message"></div>

        </div>
    </div>

    <div class="row" style="margin-top: 25px; padding: 5px; background-color: cornsilk">
        <div class="col-sm-6 col-xs-12"><a id="get-coords" href="#" class="btn btn-default">Где я?</a></div>
        <div class="col-sm-6 col-xs-12" id="coords"></div>
    </div>

</div>


<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script src="//api.bitrix24.com/api/v1/"></script>
<script src="jquery.form.js"></script>
<script>
    frame = BX24.getScrollSize();
    BX24.resizeWindow(frame.scrollWidth, 1200);

    // читаем сделки

    BX24.callMethod(
        "crm.deal.list",
        {
            filter: { "ASSIGNED_BY_ID": 14},
            select: [ "ID", "TITLE", "OPPORTUNITY"]
        },
        function(result)
        {
            if(result.error())
                console.error(result.error());
            else
            {
                var deals = result.data(), $count = 5;

                console.dir(result.data());
                for(var deal in deals) {
                    if ($count > 0) {
                        $('#deals').append('<li class="list-group-item deal" data-id="' + deals[deal].ID + '"><span class="badge">'
                            + deals[deal].OPPORTUNITY + '</span>' + deals[deal].ID + ' ' + deals[deal].TITLE + '</li>');
                        $count--;
                    }
                }

                $('.deal').click(function() {
                    $('.deal').css('background-color', 'white');
                    $(this).css('background-color', 'cornsilk');
                    $('#b24-deal').val($(this).attr('data-id'));

                });


                // if(result.more())
                   // result.next();
            }
        }
    );

    function get_location() {
        navigator.geolocation.getCurrentPosition(show_map);
    }

    function show_map(position) {
        var latitude = position.coords.latitude;
        var longitude = position.coords.longitude;

        $('#coords').html('долгота: ' + latitude + ', широта: ' + longitude);

    }

    $('#get-coords').click(function() {
        get_location();
    });

    var options = {
        beforeSubmit: function(formData, jqForm, options)
        {
            var auth = BX24.getAuth();
            formData[1].value = auth['domain'];
            formData[2].value = auth['access_token'];
            $("#file-message").html('');

        },
        success:  function (responseText, statusText, xhr, $form) {

            console.log('result string', responseText);
            var result = JSON.parse(responseText);
            $('#photo').prop('src', result.url);

        },
        error: function(responseText, statusText, xhr, $form)
        {
            console.log('error result string', responseText);

            var result = JSON.parse(responseText);
            $("#file-message").html(error.message);

        }

    };

    $("#upload-form").ajaxForm(options);

</script>
</body>
</html>
